>From f8e036c07e3db393fa1201df6ea55607722dfeb3 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sat, 21 Feb 2015 13:53:41 +0100
Subject: [PATCH 1/3] fixup! deparse: infrastructure needed for command
 deparsing

Slight cleanup in new_objtree_VA()
---
 src/backend/tcop/deparse_utility.c | 26 +++++++-------------------
 1 file changed, 7 insertions(+), 19 deletions(-)

diff --git a/src/backend/tcop/deparse_utility.c b/src/backend/tcop/deparse_utility.c
index f6f0311..d532b79 100644
--- a/src/backend/tcop/deparse_utility.c
+++ b/src/backend/tcop/deparse_utility.c
@@ -189,15 +189,9 @@ new_objtree_VA(char *fmt, int numobjs,...)
 	va_start(args, numobjs);
 	for (i = 0; i < numobjs; i++)
 	{
-		ObjTree    *value;
+		char	   *name;
 		ObjType		type;
 		ObjElem	   *elem;
-		char	   *name;
-		char	   *strval;
-		bool		boolval;
-		List	   *list;
-		int64		number;
-		float8		fnumber;
 
 		name = va_arg(args, char *);
 		type = va_arg(args, ObjType);
@@ -216,28 +210,22 @@ new_objtree_VA(char *fmt, int numobjs,...)
 		switch (type)
 		{
 			case ObjTypeBool:
-				boolval = va_arg(args, int);
-				elem = new_bool_object(boolval);
+				elem = new_bool_object(va_arg(args, int));
 				break;
 			case ObjTypeString:
-				strval = va_arg(args, char *);
-				elem = new_string_object(strval);
+				elem = new_string_object(va_arg(args, char *));
 				break;
 			case ObjTypeObject:
-				value = va_arg(args, ObjTree *);
-				elem = new_object_object(value);
+				elem = new_object_object(va_arg(args, ObjTree *));
 				break;
 			case ObjTypeArray:
-				list = va_arg(args, List *);
-				elem = new_array_object(list);
+				elem = new_array_object(va_arg(args, List *));
 				break;
 			case ObjTypeInteger:
-				number = va_arg(args, int64);
-				elem = new_integer_object(number);
+				elem = new_integer_object(va_arg(args, int64));
 				break;
 			case ObjTypeFloat:
-				fnumber = va_arg(args, double);
-				elem = new_float_object(fnumber);
+				elem = new_float_object(va_arg(args, double));
 				break;
 			default:
 				elog(ERROR, "invalid parameter type %d", type);
-- 
2.3.0.149.gf3f4077.dirty

